package eclipselink.cloning;

import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Transient;

@Entity
@DiscriminatorValue(value="FT")
public class FullTimeEmployee extends Employee
{
    @Transient
    private Float hoursPerWeek;

    @Override
    public Object clone()
    throws CloneNotSupportedException
    {
    	FullTimeEmployee result = (FullTimeEmployee) super.clone();

        result.hoursPerWeek = new Float(40.0);

        return result;
    }
}
