package eclipselink.cloning;

import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Transient;

@Entity
@DiscriminatorValue(value="PT")
public class PartTimeEmployee extends Employee
{
    @Transient
    private Float hoursPerWeek;

    @Override
    public Object clone()
    throws CloneNotSupportedException
    {
    	PartTimeEmployee result = (PartTimeEmployee) super.clone();

        result.hoursPerWeek = new Float(20.0);

        return result;
    }
}
